/***************************************************************
***** Generate the list of CPLEX commands  (Open source) *****
****************************************************************/


#include <cstdio>
#include <cstdlib>
#include <fstream>
#include <iostream>

using namespace std;

int main(int argc, char *argv[] )             
{
			   int STEP = atoi(argv[1]);           /* Convert the command line argument */

				char dataname[20];
				sprintf(dataname, "cplex_command_%d.txt", STEP);  
				ofstream  ofs(dataname);

				ofs << "read" << " " << "dataILP_" << STEP << ".lp" << endl;
				ofs << "optimize" << endl;
				ofs << "display" << " " << "solution" << " " << "variables" << " " << "-" << endl;
				ofs << "write" << " " << "dataILP_" << STEP << ".sol" << endl;
				ofs << "y" << endl;
	
		return 0;
}
